org.apache.solr.rest

## Class ManagedResourceStorage.FileStorageIO

- java.lang.Object
- - org.apache.solr.rest.ManagedResourceStorage.FileStorageIO

- All Implemented Interfaces:
    ManagedResourceStorage.StorageIO
  Enclosing class:
    ManagedResourceStorage

      public static class ManagedResourceStorage.FileStorageIO
      extends Object
      implements ManagedResourceStorage.StorageIO

  Local file-based storage implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileStorageIO()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(SolrResourceLoader loader, NamedList<String> initArgs)`
    `boolean` | `delete(String storedResourceId)`
    `boolean` | `exists(String storedResourceId)`
    `String` | `getInfo()`
    `InputStream` | `openInputStream(String storedResourceId)`
    `OutputStream` | `openOutputStream(String storedResourceId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileStorageIO

          public FileStorageIO()

  - ### Method Detail

    - #### configure

          public void configure(SolrResourceLoader loader,
                                NamedList<String> initArgs)
                         throws SolrException

      Specified by:
        `configure` in interface `ManagedResourceStorage.StorageIO`
      Throws:
        `SolrException`

    - #### exists

          public boolean exists(String storedResourceId)
                         throws IOException

      Specified by:
        `exists` in interface `ManagedResourceStorage.StorageIO`
      Throws:
        `IOException`

    - #### openInputStream

          public InputStream openInputStream(String storedResourceId)
                                      throws IOException

      Specified by:
        `openInputStream` in interface `ManagedResourceStorage.StorageIO`
      Throws:
        `IOException`

    - #### openOutputStream

          public OutputStream openOutputStream(String storedResourceId)
                                        throws IOException

      Specified by:
        `openOutputStream` in interface `ManagedResourceStorage.StorageIO`
      Throws:
        `IOException`

    - #### delete

          public boolean delete(String storedResourceId)
                         throws IOException

      Specified by:
        `delete` in interface `ManagedResourceStorage.StorageIO`
      Throws:
        `IOException`

    - #### getInfo

          public String getInfo()

      Specified by:
        `getInfo` in interface `ManagedResourceStorage.StorageIO`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.